/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

//BEGIN INCLUDES
#include <klocale.h>

#include "configdaemonoptions.h"

#include <QtCore/qvariant.h>
#include <QtGui/qpushbutton.h>
#include <QtGui/qcheckbox.h>
#include <Qt3Support/q3groupbox.h>
#include <QtGui/qspinbox.h>
#include <QtGui/qlabel.h>
#include <kurlrequester.h>
#include <kcombobox.h>
#include <QtGui/qlayout.h>
#include <QtGui/qtooltip.h>
#include <Qt3Support/Q3WhatsThis>
#include "widgetnotifyhelper.h"
#include <iostream>
//END INCLUDES


/*
 *  Constructs a DaemonOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigDaemonOptions::ConfigDaemonOptions( QWidget* parent)
{
	DaemonOptions = new Ui_ConfigDaemonOptionsBase();
	DaemonOptions->setupUi(this);

	QObject::connect(DaemonOptions->ProgramsInPathcheckBox, SIGNAL(toggled(bool)), this, SLOT(programsInPathToggled(bool)));
	WidgetNotifyHelper h;
	h.setupChangedAction(this);
	dialogModified=false;
}

ConfigDaemonOptions::~ConfigDaemonOptions()
{
}


void ConfigDaemonOptions::programsInPathToggled( bool )
{
	if ( DaemonOptions->ProgramsInPathcheckBox->isChecked() )
	{
		//DaemonOptions->spinVpncDebugLevel->setEnabled( false );
		DaemonOptions->VpncPathInput->setEnabled( false );
		DaemonOptions->FreeswanPathInput->setEnabled( false );
		//DaemonOptions->spinRacoonDebugLevel->setEnabled( false );
		DaemonOptions->RacoonPathInput->setEnabled( false );
		DaemonOptions->OpenvpnPathInput->setEnabled( false );
// 		DaemonOptions->ConfigHelperProgramOptionsWidget->OpenSSLPathInput->setEnabled( false );
// 		DaemonOptions->ConfigHelperProgramOptionsWidget->IptablesPathInput->setEnabled( false );
		DaemonOptions->PppdPathInput->setEnabled( false );
	}
	else
	{
		//DaemonOptions->spinVpncDebugLevel->setEnabled( true );
		DaemonOptions->VpncPathInput->setEnabled( true );
		DaemonOptions->FreeswanPathInput->setEnabled( true );
		//DaemonOptions->spinRacoonDebugLevel->setEnabled( true );
		DaemonOptions->RacoonPathInput->setEnabled( true );
		DaemonOptions->OpenvpnPathInput->setEnabled( true );
// 		DaemonOptions->ConfigHelperProgramOptionsWidget->OpenSSLPathInput->setEnabled( true );
// 		DaemonOptions->ConfigHelperProgramOptionsWidget->IptablesPathInput->setEnabled( true );
		DaemonOptions->PppdPathInput->setEnabled( true );
	}
}

void ConfigDaemonOptions::dialogChanged()
{
// 	std::cout << "ConfigDaemonOptions::dialogChanged()" << std::endl;
	dialogModified=true;
}
